> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Get-Method

> Run get method of smart contract. Stack supports only `num`, `cell` and `slice` types:
```
[
{
"type": "num",
"value": "0x12a"
},
{
"type": "cell",
"value": "te6..." // base64 encoded boc with cell
},
{
"type": "slice",
"value": "te6..." // base64 encoded boc with slice
}
]
```



## OpenAPI

````yaml post /api/v3/runGetMethod
openapi: 3.0.0
info:
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  title: TON Index (Go)
  contact: {}
  version: 1.1.0
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com/
security: []
paths:
  /api/v3/runGetMethod:
    post:
      tags:
        - api/v2
      summary: Run Get-Method
      description: >-
        Run get method of smart contract. Stack supports only `num`, `cell` and
        `slice` types:

        ```

        [

        {

        "type": "num",

        "value": "0x12a"

        },

        {

        "type": "cell",

        "value": "te6..." // base64 encoded boc with cell

        },

        {

        "type": "slice",

        "value": "te6..." // base64 encoded boc with slice

        }

        ]

        ```
      operationId: api_v3_post_v2_rungetmethod
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/V2RunGetMethodRequest'
        description: Run Get-method request
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2RunGetMethodRequest'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
components:
  schemas:
    V2RunGetMethodRequest:
      type: object
      properties:
        address:
          type: string
        method:
          type: string
        stack:
          type: array
          items:
            $ref: '#/components/schemas/V2StackEntity'
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    V2StackEntity:
      type: object
      properties:
        type:
          type: string
        value: {}
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: X-Api-Key
      in: header
    APIKeyQuery:
      type: apiKey
      name: api_key
      in: query

````